/*
 * clock.h - part of USBasp
 *
 * Autor..........: Thomas Fischl <tfischl@gmx.de>
 * Description....: Provides functions for timing/waiting
 * Licence........: GNU GPL v2 (see Readme.txt)
 * Creation Date..: 2005-02-23
 * Last change....: 2006-11-16
 */

#ifndef __clock_h_included__
#define	__clock_h_included__

#include "globals.h"

#define TIMERVALUE      TCNT0
#if F_CPU==12000000L  /* 12.0 MHz */
  #define CLOCK_T_320us	60
#else  /* assume 16.5 MHz */
  /* Markus B. Weber 2013-09-14 */
  #define CLOCK_T_320us	83
#endif
#ifdef __AVR_ATmega8__
#define TCCR0B  TCCR0
#endif

#ifndef __ASSEMBLER__

/* set prescaler to 64 */
#define clockInit() TCCR0B= 0<<CS02 | 1<<CS01 | 1<<CS00;

/* wait time * 320 us */
void clockWait(uint8_t time);

#endif
#endif /* __clock_h_included__ */
